curl https://qstash.upstash.io/v2/events \
-H "Authorization: Bearer <token>"
const response = await fetch("https://qstash.upstash.io/v2/events", {
headers: {
Authorization: "Bearer <token>",
},
});
import requests
headers = {
'Authorization': 'Bearer <token>',
}
response = requests.get(
'https://qstash.upstash.io/v2/events',
headers=headers
)
req, err := http.NewRequest("GET", "https://qstash.upstash.io/v2/events", nil)
if err != nil {
log.Fatal(err)
}
req.Header.Set("Authorization", "Bearer <token>")
resp, err := http.DefaultClient.Do(req)
if err != nil {
log.Fatal(err)
}
defer resp.Body.Close()
{
"cursor": "1686652644442-12",
"events":[
{
"time": "1686652644442",
"messageId": "msg_123",
"state": "delivered",
"url": "https://example.com",
}
]
}
Events
List Events
List all events that happened, such as message creation or delivery
GET
/
v2
/
events
curl https://qstash.upstash.io/v2/events \
-H "Authorization: Bearer <token>"
const response = await fetch("https://qstash.upstash.io/v2/events", {
headers: {
Authorization: "Bearer <token>",
},
});
import requests
headers = {
'Authorization': 'Bearer <token>',
}
response = requests.get(
'https://qstash.upstash.io/v2/events',
headers=headers
)
req, err := http.NewRequest("GET", "https://qstash.upstash.io/v2/events", nil)
if err != nil {
log.Fatal(err)
}
req.Header.Set("Authorization", "Bearer <token>")
resp, err := http.DefaultClient.Do(req)
if err != nil {
log.Fatal(err)
}
defer resp.Body.Close()
{
"cursor": "1686652644442-12",
"events":[
{
"time": "1686652644442",
"messageId": "msg_123",
"state": "delivered",
"url": "https://example.com",
}
]
}
Request
string
By providing a cursor you can paginate through all of the events.
Response
string
A cursor which you can use in subsequent requests to paginate through all events.
If no cursor is returned, you have reached the end of the events.
Array
Hide child attributes
Hide child attributes
int
required
Timestamp of this log entry, in milliseconds
string
required
The associated message id
string
required
The current state of the message at this point in time.
| Value | Description |
|---|---|
CREATED | The message has been accepted and stored in QStash |
RETRY | The task has been scheduled to retry. |
ACTIVE | The task is currently being processed by a worker. |
ERROR | The execution threw an error and the task is waiting to be retried or failed. |
DELIVERED | The message was successfully delivered. |
FAILED | The task has errored too many times or encountered an error that it cannot recover from. |
string
An explanation what went wrong
int
The next scheduled time of the message.
(Unix timestamp in milliseconds)
string
The destination url
string
The name of the topic if this message was sent through a topic
int
The name of the endpoint if this message was sent through a topic
string
The scheduleId of the message if the message is triggered by a schedule
curl https://qstash.upstash.io/v2/events \
-H "Authorization: Bearer <token>"
const response = await fetch("https://qstash.upstash.io/v2/events", {
headers: {
Authorization: "Bearer <token>",
},
});
import requests
headers = {
'Authorization': 'Bearer <token>',
}
response = requests.get(
'https://qstash.upstash.io/v2/events',
headers=headers
)
req, err := http.NewRequest("GET", "https://qstash.upstash.io/v2/events", nil)
if err != nil {
log.Fatal(err)
}
req.Header.Set("Authorization", "Bearer <token>")
resp, err := http.DefaultClient.Do(req)
if err != nil {
log.Fatal(err)
}
defer resp.Body.Close()
{
"cursor": "1686652644442-12",
"events":[
{
"time": "1686652644442",
"messageId": "msg_123",
"state": "delivered",
"url": "https://example.com",
}
]
}
Was this page helpful?
⌘I